Subject: Re: General non-confidential input to NomCom

From: Toerless Eckert <[email-masked]>
Date: Thu, 27 Sep 2018 03:18:31 +0200

What NomCom asserts to be community consus does AFAIK include vetting
all the private input NomCom receives. So the community at large does
not really know exactly what NomCom thinks is community consensus,
and ultimately its also up to the mind of each individual NomCom
member. 

BCP10 should say "publically documented community consensus" IMHO. Not
sure though what an efficient way would be to create this better than
delegating that to IESG like we do now. draft->RFC like what brian
started ? Maybe. 

In-Reply-To: <CAKKJt-dgV3QLeO-yaTQh0c731wPNJRemavT2cnB08x=[email-masked]>
On Wed, Sep 26, 2018 at 07:33:47PM -0500, Spencer Dawkins at IETF wrote:
> Hi, Alissa,
> 
> On Wed, Sep 26, 2018 at 10:21 AM Alissa Cooper <[email-masked]> wrote:
> 
> > Hi Brian,
> >
> > Thanks for sharing this. It has struck me as strange before that the
> > descriptions of desired expertise are sole-sourced from the roles/bodies
> > themselves. This doesn???t seem strictly required by RFC 7437, though, so I
> > wonder if there might be room to consider changes or improvements to that
> > process in future cycles.
> >
> 
> I think this point may be relevant - when I joined the IESG in 2013, we
> remembered that
> 
>    - The bodies under review provide descriptions of positions to the
>    Nomcom, but
>    - The Nomcom uses the provided descriptions as part of determining what
>    the requirements for those positions are, and works to meet those
>    requirements.
> 
> That was the last time I remember an IESG talking about that (we were very
> aware of the 2012-2013 Nomcom's problems in identifying a candidate for TSV
> that met the description they got from the IESG, which they treated as
> requirements). But at least one fairly-recent IESG certainly had the
> expectation that Nomcoms also take input from the community in determining
> the requirements for positions under review.
> 
> I noticed at the time that https://tools.ietf.org/html/bcp10#section-5.12
> says that the Nomcom is responsible for assessing the community's consensus
> on the actual requirements (although I hadn't looked that up in a while).
> 
> 5.12.  Candidate Selection
> 
>    The nominating committee selects candidates based on its
>    understanding of the IETF community's consensus of the qualifications
>    required to fill the open positions.
> 
>    The intent of this rule is to ensure that the nominating committee
>    consults with a broad base of the IETF community for input to its
>    deliberations.  In particular, the nominating committee must
>    determine if the desired expertise for the open positions matches its
>    understanding of the qualifications desired by the IETF community.
> 
> I hope that's helpful. I also hope the community thinks about that to
> assist future Nomcoms.
> 
> Spencer

-- 
---
[email-masked]

---

From: Spencer Dawkins at IETF <[email-masked]>
Date: Wed, 26 Sep 2018 22:01:42 -0500

Keeping in mind that there are a heck of a lot of things I don't know about
any particular Nomcom, including this one ...

> delegating that to IESG like we do now. draft->RFC like what brian

The way I thought this worked was that when Nomcom publishes their version
of https://datatracker.ietf.org/nomcom/2018/expertise/, the desired
expertise reflects any adjustments that they've made to the position
descriptions they received from the bodies they are reviewing, that they
believe reflects the view of the community.

I think that can vary from year to year, so I'm not sure how to document
this publicly that's not roughly what Nomcoms do now.

Spencer

> > I noticed at the time that
> https://tools.ietf.org/html/bcp10#section-5.12